<div id="login" fxLayout="column">

    <div id="login-form-wrapper" fxLayout="column" fxLayoutAlign="center center">

        <div id="login-form" style="background: white;" [@animate]="{value:'*',params:{duration:'300ms',y:'100px'}}">

            <div class="logo" style="height: 130px;"> 
                <img src="assets/images/logos/login_icon.png" style="height: 147px;border-radius: 50%;">
            </div>

            <div class="title">LOGIN TO YOUR ACCOUNT</div>

            <form name="loginForm" [formGroup]="loginForm" novalidate>

                <mat-form-field appearance="outline">
                    <mat-label>Mobile No.</mat-label>
                    <input matInput formControlName="number" maxlength="10"> 
                    <mat-icon matSuffix class="secondary-text">call</mat-icon>
                    <mat-error>
                        Mobile Number is required
                    </mat-error>
                </mat-form-field>

                <mat-form-field appearance="outline">
                    <mat-label>Password</mat-label>
                    <input matInput type="{{passwordType}}" formControlName="password">
                    <mat-icon (click)="showPassword()" matSuffix class="secondary-text">{{password_icon}}</mat-icon>
                    <mat-error>
                        Password is required
                    </mat-error>
                </mat-form-field>

                <!-- <div class="remember-forgot-password" fxLayout="row" fxLayout.xs="column"
                     fxLayoutAlign="space-between center">
                    <mat-checkbox class="remember-me" aria-label="Remember Me">
                        Remember Me
                    </mat-checkbox>

                    <a class="forgot-password" [routerLink]="'/pages/auth/forgot-password'">
                        Forgot Password?
                    </a>
                </div> -->

                <button mat-raised-button color="accent" class="submit-button" aria-label="LOG IN"
                    [disabled]="loginForm.invalid" (click)="login()">
                    LOGIN
                </button>

            </form>

            <!-- <div class="register" fxLayout="column" fxLayoutAlign="center center">
                <span class="text">Don't have an account?</span>
                <a class="link" [routerLink]="'/register'">Create an account</a>
            </div> -->

        </div>

    </div>

</div>